-- simple test

-- Load the liberay
libinit = package.loadlib("PXDbgC.dll", "libinit")
libinit()

-- Start/open the console
-- You must call DbgC.Open() before the console is shown
DbgC.Open()

-- Request by plop - Option to make console window always stay on top
DbgC.AlwaysOnTop()

-- tell PxDbg that you also would like it to dump to file
-- You should use a full path here in case of program path changes
DbgC.StartLog("mydebuglog.txt")

-- Print something to console window
DbgC.Print("This script print mainchat into this window\n")

-- You can also call print with multiply arguments.
-- Like this:
DbgC.Print("Arg1 ", "arg2 ", "arg3 ", "......", "\n")

-- Requested by plop:
-- DbgC.PrintLn() print a line
DbgC.PrintLn("Print one line")

-- DbgC.PrintLns() print lines
DbgC.PrintLns("line1", "line2", "line3", "and so on")

-- Extra added if you want to give some debug message
-- a better chance for being discovered
-- DbgC.MsgBox

-- msgbox with ok button
result = DbgC.MsgBox("Message","WindowTitle", 0)

-- msgbox with yes and no button
result = DbgC.MsgBox("Stop log to file?","Deside!", 1)
if result == 6 then
	DbgC.PrintLn("Stopping loggin..")
	DbgC.StopLog()
elseif result == 7 then
	DbgC.PrintLn("Login continues..")
end

-- print mainchat to debug window
ChatArrival = function (User, Data)
	DbgC.Print(Data.."\n")
end

OnExit = function()
	-- Closes the console window (new in v0.3)
	-- requested by bastya_elvtars
	-- Note that it will also close the console for other scripts useing it
	DbgC.Close()
end